OGRE: Ogre::AutoParamDataSource Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::AutoParamDataSource Class Reference

This utility class is used to hold the information used to generate the matrices and other information required to automatically populate GpuProgramParameters. More...

`#include <OgreAutoParamDataSource.h>`

List of all members.

## Public Member Functions

| AutoParamDataSource ()
| ~AutoParamDataSource ()
void | setCurrentRenderable (const Renderable *rend)
| Updates the current renderable.
void | setWorldMatrices (const Matrix4 *m, size_t count)
| Sets the world matrices, avoid query from renderable again.
void | setCurrentCamera (const Camera *cam)
| Updates the current camera.
void | setCurrentLightList (const LightList *ll)
| Sets the light list that should be used.
void | setTextureProjector (const Frustum *frust, size_t index)
| Sets the current texture projector for a index.
void | setCurrentRenderTarget (const RenderTarget *target)
| Sets the current render target.
void | setCurrentViewport (const Viewport *viewport)
| Sets the current viewport.
void | setShadowDirLightExtrusionDistance (Real dist)
| Sets the shadow extrusion distance to be used for point lights.
void | setMainCamBoundsInfo (VisibleObjectsBoundsInfo *info)
| Sets the main camera's scene bounding information.
void | setCurrentSceneManager (const SceneManager *sm)
| Set the current scene manager for enquiring on demand.
void | setCurrentPass (const Pass *pass)
| Sets the current pass.
const Matrix4 & | getWorldMatrix (void) const
const Matrix4 * | getWorldMatrixArray (void) const
size_t | getWorldMatrixCount (void) const
const Matrix4 & | getViewMatrix (void) const
const Matrix4 & | getViewProjectionMatrix (void) const
const Matrix4 & | getProjectionMatrix (void) const
const Matrix4 & | getWorldViewProjMatrix (void) const
const Matrix4 & | getWorldViewMatrix (void) const
const Matrix4 & | getInverseWorldMatrix (void) const
const Matrix4 & | getInverseWorldViewMatrix (void) const
const Matrix4 & | getInverseViewMatrix (void) const
const Matrix4 & | getInverseTransposeWorldMatrix (void) const
const Matrix4 & | getInverseTransposeWorldViewMatrix (void) const
const Vector4 & | getCameraPosition (void) const
const Vector4 & | getCameraPositionObjectSpace (void) const
const Light & | getLight (size_t index) const
| Get the light which is 'index'th closest to the current object.
void | setAmbientLightColour (const ColourValue &ambient)
const ColourValue & | getAmbientLightColour (void) const
const ColourValue & | getSurfaceAmbientColour (void) const
const ColourValue & | getSurfaceDiffuseColour (void) const
const ColourValue & | getSurfaceSpecularColour (void) const
const ColourValue & | getSurfaceEmissiveColour (void) const
Real | getSurfaceShininess (void) const
ColourValue | getDerivedAmbientLightColour (void) const
ColourValue | getDerivedSceneColour (void) const
void | setFog (FogMode mode, const ColourValue &colour, Real expDensity, Real linearStart, Real linearEnd)
const ColourValue & | getFogColour (void) const
const Vector4 & | getFogParams (void) const
const Matrix4 & | getTextureViewProjMatrix (size_t index) const
const RenderTarget * | getCurrentRenderTarget (void) const
const Renderable * | getCurrentRenderable (void) const
const Pass * | getCurrentPass (void) const
Vector4 | getTextureSize (size_t index) const
Vector4 | getInverseTextureSize (size_t index) const
Vector4 | getPackedTextureSize (size_t index) const
Real | getShadowExtrusionDistance (void) const
const Vector4 & | getSceneDepthRange () const
const Vector4 & | getShadowSceneDepthRange (size_t lightIndex) const
Matrix4 | getInverseViewProjMatrix (void) const
Matrix4 | getInverseTransposeViewProjMatrix () const
Matrix4 | getTransposeViewProjMatrix () const
Matrix4 | getTransposeViewMatrix () const
Matrix4 | getInverseTransposeViewMatrix () const
Matrix4 | getTransposeProjectionMatrix () const
Matrix4 | getInverseProjectionMatrix () const
Matrix4 | getInverseTransposeProjectionMatrix () const
Matrix4 | getTransposeWorldViewProjMatrix () const
Matrix4 | getInverseWorldViewProjMatrix () const
Matrix4 | getInverseTransposeWorldViewProjMatrix () const
Matrix4 | getTransposeWorldViewMatrix () const
Matrix4 | getTransposeWorldMatrix () const
Real | getTime (void) const
Real | getTime_0_X (Real x) const
Real | getCosTime_0_X (Real x) const
Real | getSinTime_0_X (Real x) const
Real | getTanTime_0_X (Real x) const
Vector4 | getTime_0_X_packed (Real x) const
Real | getTime_0_1 (Real x) const
Real | getCosTime_0_1 (Real x) const
Real | getSinTime_0_1 (Real x) const
Real | getTanTime_0_1 (Real x) const
Vector4 | getTime_0_1_packed (Real x) const
Real | getTime_0_2Pi (Real x) const
Real | getCosTime_0_2Pi (Real x) const
Real | getSinTime_0_2Pi (Real x) const
Real | getTanTime_0_2Pi (Real x) const
Vector4 | getTime_0_2Pi_packed (Real x) const
Real | getFrameTime (void) const
Real | getFPS () const
Real | getViewportWidth () const
Real | getViewportHeight () const
Real | getInverseViewportWidth () const
Real | getInverseViewportHeight () const
Vector3 | getViewDirection () const
Vector3 | getViewSideVector () const
Vector3 | getViewUpVector () const
Real | getFOV () const
Real | getNearClipDistance () const
Real | getFarClipDistance () const
int | getPassNumber (void) const
void | setPassNumber (const int passNumber)
void | incPassNumber (void)

## Protected Attributes

Matrix4 | mWorldMatrix [256]
size_t | mWorldMatrixCount
const Matrix4 * | mWorldMatrixArray
Matrix4 | mWorldViewMatrix
Matrix4 | mViewProjMatrix
Matrix4 | mWorldViewProjMatrix
Matrix4 | mInverseWorldMatrix
Matrix4 | mInverseWorldViewMatrix
Matrix4 | mInverseViewMatrix
Matrix4 | mInverseTransposeWorldMatrix
Matrix4 | mInverseTransposeWorldViewMatrix
Vector4 | mCameraPositionObjectSpace
Matrix4 | mTextureViewProjMatrix [OGRE_MAX_SIMULTANEOUS_LIGHTS]
Matrix4 | mViewMatrix
Matrix4 | mProjectionMatrix
Real | mDirLightExtrusionDistance
Vector4 | mCameraPosition
bool | mWorldMatrixDirty
bool | mViewMatrixDirty
bool | mProjMatrixDirty
bool | mWorldViewMatrixDirty
bool | mViewProjMatrixDirty
bool | mWorldViewProjMatrixDirty
bool | mInverseWorldMatrixDirty
bool | mInverseWorldViewMatrixDirty
bool | mInverseViewMatrixDirty
bool | mInverseTransposeWorldMatrixDirty
bool | mInverseTransposeWorldViewMatrixDirty
bool | mCameraPositionObjectSpaceDirty
bool | mCameraPositionDirty
bool | mTextureViewProjMatrixDirty [OGRE_MAX_SIMULTANEOUS_LIGHTS]
ColourValue | mAmbientLight
ColourValue | mFogColour
Vector4 | mFogParams
int | mPassNumber
Vector4 | mSceneDepthRange
bool | mSceneDepthRangeDirty
std::vector< Vector4 > | mShadowCamDepthRanges
bool | mShadowCamDepthRangesDirty
const Renderable * | mCurrentRenderable
const Camera * | mCurrentCamera
const LightList * | mCurrentLightList
const Frustum * | mCurrentTextureProjector [OGRE_MAX_SIMULTANEOUS_LIGHTS]
const RenderTarget * | mCurrentRenderTarget
const Viewport * | mCurrentViewport
const SceneManager * | mCurrentSceneManager
const VisibleObjectsBoundsInfo * | mMainCamBoundsInfo
const Pass * | mCurrentPass
Light | mBlankLight

## Detailed Description

This utility class is used to hold the information used to generate the matrices and other information required to automatically populate GpuProgramParameters.

Remarks:
  This class exercises a lazy-update scheme in order to avoid having to update all the information a GpuProgramParameters class could possibly want all the time. It relies on the SceneManager to update it when the base data has changed, and will calculate concatenated matrices etc only when required, passing back precalculated matrices when they are requested more than once when the underlying information has not altered.

Definition at line 55 of file OgreAutoParamDataSource.h.

## Constructor & Destructor Documentation

Ogre::AutoParamDataSource::AutoParamDataSource | ( |  | ) |

Ogre::AutoParamDataSource::~AutoParamDataSource | ( |  | ) |

## Member Function Documentation

const ColourValue& Ogre::AutoParamDataSource::getAmbientLightColour | ( | void |  | ) | const

const Vector4& Ogre::AutoParamDataSource::getCameraPosition | ( | void |  | ) | const

const Vector4& Ogre::AutoParamDataSource::getCameraPositionObjectSpace | ( | void |  | ) | const

Real Ogre::AutoParamDataSource::getCosTime_0_1 | ( | Real | x | ) | const

Real Ogre::AutoParamDataSource::getCosTime_0_2Pi | ( | Real | x | ) | const

Real Ogre::AutoParamDataSource::getCosTime_0_X | ( | Real | x | ) | const

const Pass* Ogre::AutoParamDataSource::getCurrentPass | ( | void |  | ) | const

const Renderable* Ogre::AutoParamDataSource::getCurrentRenderable | ( | void |  | ) | const

const RenderTarget* Ogre::AutoParamDataSource::getCurrentRenderTarget | ( | void |  | ) | const

ColourValue Ogre::AutoParamDataSource::getDerivedAmbientLightColour | ( | void |  | ) | const

ColourValue Ogre::AutoParamDataSource::getDerivedSceneColour | ( | void |  | ) | const

Real Ogre::AutoParamDataSource::getFarClipDistance | ( |  | ) | const

const ColourValue& Ogre::AutoParamDataSource::getFogColour | ( | void |  | ) | const

const Vector4& Ogre::AutoParamDataSource::getFogParams | ( | void |  | ) | const

Real Ogre::AutoParamDataSource::getFOV | ( |  | ) | const

Real Ogre::AutoParamDataSource::getFPS | ( |  | ) | const

Real Ogre::AutoParamDataSource::getFrameTime | ( | void |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getInverseProjectionMatrix | ( |  | ) | const

Vector4 Ogre::AutoParamDataSource::getInverseTextureSize | ( | size_t | index | ) | const

Matrix4 Ogre::AutoParamDataSource::getInverseTransposeProjectionMatrix | ( |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getInverseTransposeViewMatrix | ( |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getInverseTransposeViewProjMatrix | ( |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getInverseTransposeWorldMatrix | ( | void |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getInverseTransposeWorldViewMatrix | ( | void |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getInverseTransposeWorldViewProjMatrix | ( |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getInverseViewMatrix | ( | void |  | ) | const

Real Ogre::AutoParamDataSource::getInverseViewportHeight | ( |  | ) | const

Real Ogre::AutoParamDataSource::getInverseViewportWidth | ( |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getInverseViewProjMatrix | ( | void |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getInverseWorldMatrix | ( | void |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getInverseWorldViewMatrix | ( | void |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getInverseWorldViewProjMatrix | ( |  | ) | const

const Light& Ogre::AutoParamDataSource::getLight | ( | size_t | index | ) | const

| Get the light which is 'index'th closest to the current object.

Real Ogre::AutoParamDataSource::getNearClipDistance | ( |  | ) | const

Vector4 Ogre::AutoParamDataSource::getPackedTextureSize | ( | size_t | index | ) | const

int Ogre::AutoParamDataSource::getPassNumber | ( | void |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getProjectionMatrix | ( | void |  | ) | const

const Vector4& Ogre::AutoParamDataSource::getSceneDepthRange | ( |  | ) | const

Real Ogre::AutoParamDataSource::getShadowExtrusionDistance | ( | void |  | ) | const

const Vector4& Ogre::AutoParamDataSource::getShadowSceneDepthRange | ( | size_t | lightIndex | ) | const

Real Ogre::AutoParamDataSource::getSinTime_0_1 | ( | Real | x | ) | const

Real Ogre::AutoParamDataSource::getSinTime_0_2Pi | ( | Real | x | ) | const

Real Ogre::AutoParamDataSource::getSinTime_0_X | ( | Real | x | ) | const

const ColourValue& Ogre::AutoParamDataSource::getSurfaceAmbientColour | ( | void |  | ) | const

const ColourValue& Ogre::AutoParamDataSource::getSurfaceDiffuseColour | ( | void |  | ) | const

const ColourValue& Ogre::AutoParamDataSource::getSurfaceEmissiveColour | ( | void |  | ) | const

Real Ogre::AutoParamDataSource::getSurfaceShininess | ( | void |  | ) | const

const ColourValue& Ogre::AutoParamDataSource::getSurfaceSpecularColour | ( | void |  | ) | const

Real Ogre::AutoParamDataSource::getTanTime_0_1 | ( | Real | x | ) | const

Real Ogre::AutoParamDataSource::getTanTime_0_2Pi | ( | Real | x | ) | const

Real Ogre::AutoParamDataSource::getTanTime_0_X | ( | Real | x | ) | const

Vector4 Ogre::AutoParamDataSource::getTextureSize | ( | size_t | index | ) | const

const Matrix4& Ogre::AutoParamDataSource::getTextureViewProjMatrix | ( | size_t | index | ) | const

Real Ogre::AutoParamDataSource::getTime | ( | void |  | ) | const

Real Ogre::AutoParamDataSource::getTime_0_1 | ( | Real | x | ) | const

Vector4 Ogre::AutoParamDataSource::getTime_0_1_packed | ( | Real | x | ) | const

Real Ogre::AutoParamDataSource::getTime_0_2Pi | ( | Real | x | ) | const

Vector4 Ogre::AutoParamDataSource::getTime_0_2Pi_packed | ( | Real | x | ) | const

Real Ogre::AutoParamDataSource::getTime_0_X | ( | Real | x | ) | const

Vector4 Ogre::AutoParamDataSource::getTime_0_X_packed | ( | Real | x | ) | const

Matrix4 Ogre::AutoParamDataSource::getTransposeProjectionMatrix | ( |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getTransposeViewMatrix | ( |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getTransposeViewProjMatrix | ( |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getTransposeWorldMatrix | ( |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getTransposeWorldViewMatrix | ( |  | ) | const

Matrix4 Ogre::AutoParamDataSource::getTransposeWorldViewProjMatrix | ( |  | ) | const

Vector3 Ogre::AutoParamDataSource::getViewDirection | ( |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getViewMatrix | ( | void |  | ) | const

Real Ogre::AutoParamDataSource::getViewportHeight | ( |  | ) | const

Real Ogre::AutoParamDataSource::getViewportWidth | ( |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getViewProjectionMatrix | ( | void |  | ) | const

Vector3 Ogre::AutoParamDataSource::getViewSideVector | ( |  | ) | const

Vector3 Ogre::AutoParamDataSource::getViewUpVector | ( |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getWorldMatrix | ( | void |  | ) | const

const Matrix4* Ogre::AutoParamDataSource::getWorldMatrixArray | ( | void |  | ) | const

size_t Ogre::AutoParamDataSource::getWorldMatrixCount | ( | void |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getWorldViewMatrix | ( | void |  | ) | const

const Matrix4& Ogre::AutoParamDataSource::getWorldViewProjMatrix | ( | void |  | ) | const

void Ogre::AutoParamDataSource::incPassNumber | ( | void |  | ) |

void Ogre::AutoParamDataSource::setAmbientLightColour | ( | const ColourValue & | ambient | ) |

void Ogre::AutoParamDataSource::setCurrentCamera | ( | const Camera * | cam | ) |

| Updates the current camera.

void Ogre::AutoParamDataSource::setCurrentLightList | ( | const LightList * | ll | ) |

| Sets the light list that should be used.

void Ogre::AutoParamDataSource::setCurrentPass | ( | const Pass * | pass | ) |

| Sets the current pass.

void Ogre::AutoParamDataSource::setCurrentRenderable | ( | const Renderable * | rend | ) |

| Updates the current renderable.

void Ogre::AutoParamDataSource::setCurrentRenderTarget | ( | const RenderTarget * | target | ) |

| Sets the current render target.

void Ogre::AutoParamDataSource::setCurrentSceneManager | ( | const SceneManager * | sm | ) |

| Set the current scene manager for enquiring on demand.

void Ogre::AutoParamDataSource::setCurrentViewport | ( | const Viewport * | viewport | ) |

| Sets the current viewport.

void Ogre::AutoParamDataSource::setFog | ( | FogMode | mode,
|  | const ColourValue & | colour,
|  | Real | expDensity,
|  | Real | linearStart,
|  | Real | linearEnd
| ) |

void Ogre::AutoParamDataSource::setMainCamBoundsInfo | ( | VisibleObjectsBoundsInfo * | info | ) |

| Sets the main camera's scene bounding information.

void Ogre::AutoParamDataSource::setPassNumber | ( | const int | passNumber | ) |

void Ogre::AutoParamDataSource::setShadowDirLightExtrusionDistance | ( | Real | dist | ) |

| Sets the shadow extrusion distance to be used for point lights.

void Ogre::AutoParamDataSource::setTextureProjector | ( | const Frustum * | frust,
|  | size_t | index
| ) |

| Sets the current texture projector for a index.

void Ogre::AutoParamDataSource::setWorldMatrices | ( | const Matrix4 * | m,
|  | size_t | count
| ) |

| Sets the world matrices, avoid query from renderable again.

## Member Data Documentation

ColourValue Ogre::AutoParamDataSource::mAmbientLight`[mutable, protected]`

| Definition at line 90 of file OgreAutoParamDataSource.h.

Light Ogre::AutoParamDataSource::mBlankLight`[protected]`

| Definition at line 110 of file OgreAutoParamDataSource.h.

Vector4 Ogre::AutoParamDataSource::mCameraPosition`[mutable, protected]`

| Definition at line 74 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mCameraPositionDirty`[mutable, protected]`

| Definition at line 88 of file OgreAutoParamDataSource.h.

Vector4 Ogre::AutoParamDataSource::mCameraPositionObjectSpace`[mutable, protected]`

| Definition at line 69 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mCameraPositionObjectSpaceDirty`[mutable, protected]`

| Definition at line 87 of file OgreAutoParamDataSource.h.

const Camera* Ogre::AutoParamDataSource::mCurrentCamera`[protected]`

| Definition at line 101 of file OgreAutoParamDataSource.h.

const LightList* Ogre::AutoParamDataSource::mCurrentLightList`[protected]`

| Definition at line 102 of file OgreAutoParamDataSource.h.

const Pass* Ogre::AutoParamDataSource::mCurrentPass`[protected]`

| Definition at line 108 of file OgreAutoParamDataSource.h.

const Renderable* Ogre::AutoParamDataSource::mCurrentRenderable`[protected]`

| Definition at line 100 of file OgreAutoParamDataSource.h.

const RenderTarget* Ogre::AutoParamDataSource::mCurrentRenderTarget`[protected]`

| Definition at line 104 of file OgreAutoParamDataSource.h.

const SceneManager* Ogre::AutoParamDataSource::mCurrentSceneManager`[protected]`

| Definition at line 106 of file OgreAutoParamDataSource.h.

const Frustum* Ogre::AutoParamDataSource::mCurrentTextureProjector[OGRE_MAX_SIMULTANEOUS_LIGHTS]`[protected]`

| Definition at line 103 of file OgreAutoParamDataSource.h.

const Viewport* Ogre::AutoParamDataSource::mCurrentViewport`[protected]`

| Definition at line 105 of file OgreAutoParamDataSource.h.

Real Ogre::AutoParamDataSource::mDirLightExtrusionDistance`[mutable, protected]`

| Definition at line 73 of file OgreAutoParamDataSource.h.

ColourValue Ogre::AutoParamDataSource::mFogColour`[mutable, protected]`

| Definition at line 91 of file OgreAutoParamDataSource.h.

Vector4 Ogre::AutoParamDataSource::mFogParams`[mutable, protected]`

| Definition at line 92 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mInverseTransposeWorldMatrix`[mutable, protected]`

| Definition at line 67 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mInverseTransposeWorldMatrixDirty`[mutable, protected]`

| Definition at line 85 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mInverseTransposeWorldViewMatrix`[mutable, protected]`

| Definition at line 68 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mInverseTransposeWorldViewMatrixDirty`[mutable, protected]`

| Definition at line 86 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mInverseViewMatrix`[mutable, protected]`

| Definition at line 66 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mInverseViewMatrixDirty`[mutable, protected]`

| Definition at line 84 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mInverseWorldMatrix`[mutable, protected]`

| Definition at line 64 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mInverseWorldMatrixDirty`[mutable, protected]`

| Definition at line 82 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mInverseWorldViewMatrix`[mutable, protected]`

| Definition at line 65 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mInverseWorldViewMatrixDirty`[mutable, protected]`

| Definition at line 83 of file OgreAutoParamDataSource.h.

const VisibleObjectsBoundsInfo* Ogre::AutoParamDataSource::mMainCamBoundsInfo`[protected]`

| Definition at line 107 of file OgreAutoParamDataSource.h.

int Ogre::AutoParamDataSource::mPassNumber`[mutable, protected]`

| Definition at line 93 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mProjectionMatrix`[mutable, protected]`

| Definition at line 72 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mProjMatrixDirty`[mutable, protected]`

| Definition at line 78 of file OgreAutoParamDataSource.h.

Vector4 Ogre::AutoParamDataSource::mSceneDepthRange`[mutable, protected]`

| Definition at line 94 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mSceneDepthRangeDirty`[mutable, protected]`

| Definition at line 95 of file OgreAutoParamDataSource.h.

std::vector<Vector4> Ogre::AutoParamDataSource::mShadowCamDepthRanges`[mutable, protected]`

| Definition at line 97 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mShadowCamDepthRangesDirty`[mutable, protected]`

| Definition at line 98 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mTextureViewProjMatrix[OGRE_MAX_SIMULTANEOUS_LIGHTS]`[mutable, protected]`

| Definition at line 70 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mTextureViewProjMatrixDirty[OGRE_MAX_SIMULTANEOUS_LIGHTS]`[mutable, protected]`

| Definition at line 89 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mViewMatrix`[mutable, protected]`

| Definition at line 71 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mViewMatrixDirty`[mutable, protected]`

| Definition at line 77 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mViewProjMatrix`[mutable, protected]`

| Definition at line 62 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mViewProjMatrixDirty`[mutable, protected]`

| Definition at line 80 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mWorldMatrix[256]`[mutable, protected]`

| Definition at line 58 of file OgreAutoParamDataSource.h.

const Matrix4* Ogre::AutoParamDataSource::mWorldMatrixArray`[mutable, protected]`

| Definition at line 60 of file OgreAutoParamDataSource.h.

size_t Ogre::AutoParamDataSource::mWorldMatrixCount`[mutable, protected]`

| Definition at line 59 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mWorldMatrixDirty`[mutable, protected]`

| Definition at line 76 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mWorldViewMatrix`[mutable, protected]`

| Definition at line 61 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mWorldViewMatrixDirty`[mutable, protected]`

| Definition at line 79 of file OgreAutoParamDataSource.h.

Matrix4 Ogre::AutoParamDataSource::mWorldViewProjMatrix`[mutable, protected]`

| Definition at line 63 of file OgreAutoParamDataSource.h.

bool Ogre::AutoParamDataSource::mWorldViewProjMatrixDirty`[mutable, protected]`

| Definition at line 81 of file OgreAutoParamDataSource.h.

The documentation for this class was generated from the following file:

- OgreAutoParamDataSource.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:32 2008